Bug 823234 - Review Request: sugar-nutrition - A collection of nutrition games for sugar
Review Request: sugar-nutrition - A collection of nutrition games for sugar
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Callaghan
Fedora Extras Quality Assurance
:
: 840320 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-20 01:28 EDT by Kalpa Welivitigoda
Modified: 2012-07-26 18:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-26 18:24:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
dcallagh: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kalpa Welivitigoda 2012-05-20 01:28:03 EDT
Spec URL: http://callkalpa.fedorapeople.org/sugar-nutrition/sugar-nutrition.spec
SRPM URL: http://callkalpa.fedorapeople.org/sugar-nutrition/sugar-nutrition-4-1.fc16.src.rpm
Description:

I packages Nutrition which is a collection of nutrition games for sugar. There are four games related to nutrition. In all games the user is asked a question and provided with options. If he/she picks the correct answer a smiley face will appear. It educates the children about food and nutrition.
Comment 1 Dan Callaghan 2012-07-01 07:42:10 EDT
Review checklist follows. There are a few small issues summarised at the end.


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
[x]: MUST The spec file handles locales properly.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
The RPM group Sugar/Activities isn't mentioned explicitly in the guidelines but I see it is used in the sample spec for Sugar activities, so I assume it is fine.
The perms on the tarball won't be a problem when built in Koji so that can be ignored.

rpmlint sugar-nutrition-4-1.fc18.noarch.rpm

sugar-nutrition.noarch: W: non-standard-group Sugar/Activities
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint sugar-nutrition-4-1.fc18.src.rpm

sugar-nutrition.src: W: non-standard-group Sugar/Activities
sugar-nutrition.src: W: strange-permission Nutrition-4.tar.bz2 0640L
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/dan/fedora/reviews/823234/Nutrition-4.tar.bz2 :
  MD5SUM this package     : 78b144f3e0720755a09ede688fd671e0
  MD5SUM upstream package : 78b144f3e0720755a09ede688fd671e0

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[!]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[-]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Each %files section contains %defattr if rpm < 4.4
I assume you aren't targetting EPEL5 here, so you can remove the %defattr macro.
[!]: MUST License field in the package spec file matches the actual license.
License should be "GPLv3+ and MIT". The header in sprites.py is MIT-like, not GPL.
[!]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
There is a Requires on /usr/bin/env which seems superfluous. It is coming from setup.py, which is installed in the buildroot. That itself seems quite strange to me (normally a Python package should never install its setup.py) but I see it in quite a few other sugar activity packages so I assume it is needed, or at least acceptable.

It would be nice to remove the unnecessary Requires on /usr/bin/env if there is an easy way. Otherwise I think it can be waived because it is not serious.


Generated by fedora-review 0.1.3
External plugins:
Comment 2 Kalpa Welivitigoda 2012-07-02 23:46:02 EDT
I've corrected the first two issues, let's just waive the third and the new spec and srpm are here,

Spec URL: http://callkalpa.fedorapeople.org/sugar-nutrition/sugar-nutrition.spec
SRPM URL: http://callkalpa.fedorapeople.org/sugar-nutrition/sugar-nutrition-4-2.fc17.src.rpm
Comment 3 Dan Callaghan 2012-07-09 20:45:52 EDT
I haven't heard anything back from the OLPC/Sugar folks yet, but I see no reason to hold up these package reviews.

This package is APPROVED. Nice work Kalpa!
Comment 4 Kalpa Welivitigoda 2012-07-10 11:07:32 EDT
Thanks Dan
Comment 5 Kalpa Welivitigoda 2012-07-10 11:10:13 EDT
New Package SCM Request
=======================
Package Name: sugar-nutrition
Short Description: A collection of nutrition games
Owners: callkalpa
Branches: f15 f16 f17
InitialCC:
Comment 6 Kevin Fenzi 2012-07-10 18:30:53 EDT
Git done (by process-git-requests).

NOTE: we no longer accept f15 branches, it's EOL.
Comment 7 Danishka Navin 2012-07-16 07:42:55 EDT
*** Bug 840320 has been marked as a duplicate of this bug. ***
Comment 8 Fedora Update System 2012-07-18 14:33:04 EDT
sugar-nutrition-4-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/sugar-nutrition-4-2.fc17
Comment 9 Fedora Update System 2012-07-18 14:33:14 EDT
sugar-nutrition-4-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/sugar-nutrition-4-2.fc16
Comment 10 Fedora Update System 2012-07-19 05:03:06 EDT
sugar-nutrition-4-2.fc16 has been pushed to the Fedora 16 testing repository.
Comment 11 Fedora Update System 2012-07-26 18:24:17 EDT
sugar-nutrition-4-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 12 Fedora Update System 2012-07-26 18:25:04 EDT
sugar-nutrition-4-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.